Name:           lordsawar
Version:        0.2.0
Release:        13%{?dist}
Summary:        Turn-based strategy game in a fantasy setting

# This is used for prereleases and such
# If not prerelease, set this to the version macro
%global rel_version %{version}

Group:          Amusements/Games
# Some documentation is GFDLv1.1+
License:        GPLv2+ and GFDL
URL:            http://savannah.nongnu.org/projects/%{name}
Source0:        http://download.savannah.gnu.org/releases/%{name}/%{name}-%{rel_version}.tar.gz
Patch1:         lordsawar-local-manual.patch
Patch2:         lordsawar-noginit.patch
Patch3:         lordsawar-explicit-this.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libglademm24-devel gtkmm24-devel gettext desktop-file-utils
BuildRequires:  SDL-devel SDL_image-devel SDL_mixer-devel expat-devel libsigc++20-devel
BuildRequires:  boost-devel libuuid-devel libtiff-devel libvorbis-devel
BuildRequires:  libjpeg-devel libtar-devel docbook-utils
BuildRequires:  intltool >= 0.35.0
Requires(post): coreutils
Requires(postun): coreutils

%description
LordsAWar! is a turn-based strategy game set in a fantasy setting.


%prep
%setup -qn %{name}-%{rel_version}
%patch1
%patch2
%patch3
sed -i.orig -e "s/Comment=Play a clone of Warlords II/Comment=Play a turn-based strategy game/" dat/lordsawar.desktop.in.in


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README COPYING TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-army-editor
%{_bindir}/%{name}-editor
%{_bindir}/%{name}-city-editor
%{_bindir}/%{name}-shield-editor
%{_bindir}/%{name}-tile-editor
%{_bindir}/%{name}-pbm
%{_bindir}/%{name}-game-host-client
%{_bindir}/%{name}-game-host-server
%{_bindir}/%{name}-game-list-client
%{_bindir}/%{name}-game-list-server
%{_datadir}/gnome/help/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/lordsawar.png
%{_datadir}/icons/hicolor/64x64/apps/lordsawar.png
%{_datadir}/%{name}


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 0.2.0-12
- Rebuild for boost 1.55.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 0.2.0-10
- Rebuild for boost 1.54.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-7
- Rebuilt for c++ ABI breakage

* Mon Jan 16 2012 Bruno Wolff III <bruno@wolff.to> 0.2.0-6
- Fix for gcc 4.7

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 05 2011 Bruno Wolff III <bruno@wolff.to> 0.2.0-4
- Rebuild for libpng 1.5
- g_thread_init is no longer needed

* Sat Mar 19 2011 Bruno Wolff III <bruno@wolff.to> 0.2.0-3
- All GDFL license versions share the same tag

* Sat Mar 19 2011 Bruno Wolff III <bruno@wolff.to> 0.2.0-2
- Use a local copy of the manual for help

* Thu Mar 17 2011 Bruno Wolff III <bruno@wolff.to> 0.2.0-1
- 0.2.0 final
- Release notice: http://savannah.nongnu.org/forum/forum.php?forum_id=6751

* Tue Mar 15 2011 Bruno Wolff III <bruno@wolff.to> 0.2.0-0.1.pre4
- Upstream 0.2.0 prerelease

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 Ian Weller <iweller@redhat.com> - 0.1.9-1
- 0.1.9 release

* Wed Mar 10 2010 Ian Weller <ian@ianweller.org> - 0.1.7-1
- Final 0.1.7 release
- lordsawar-0.1.7-pre3-dso.patch applied upstream so removed here

* Tue Mar  2 2010 Ian Weller <ian@ianweller.org> - 0.1.7-0.3.pre3
- Forgot to add the patch in CVS (whoops)

* Mon Mar  1 2010 Ian Weller <ian@ianweller.org> - 0.1.7-0.2.pre3
- Add lordsawar-0.1.7-pre3-dso.patch (patch from upstream)

* Sun Feb 28 2010 Ian Weller <ian@ianweller.org> - 0.1.7-0.1.pre3
- 0.1.7-pre3

* Fri Feb 12 2010 Ian Weller <ian@ianweller.org> - 0.1.6-3
- Remove BuildRequires: e2fsprogs-devel from libuuid-devel switch

* Fri Nov  6 2009 Ian Weller <ian@ianweller.org> - 0.1.6-2
- Remove patch0 command

* Fri Nov  6 2009 Ian Weller <ian@ianweller.org> - 0.1.6-1
- 0.1.6

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Ian Weller <ian@ianweller.org> - 0.1.5-3
- Fix build dependency on uuid.h

* Thu Apr  9 2009 Ian Weller <ianweller@gmail.com> 0.1.5-2
- Include new lang files

* Thu Apr  9 2009 Ian Weller <ianweller@gmail.com> 0.1.5-1
- 0.1.5

* Thu Mar 05 2009 Caolán McNamara <caolanm@redhat.com> - 0.1.4-4
- include stdio.h for printf

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Ian Weller <ianweller@gmail.com> 0.1.4-2
- Bump because I screwed up my CVS checkin

* Sun Dec 07 2008 Ian Weller <ianweller@gmail.com> 0.1.4-1
- 0.1.4
- Add BuildRequires: intltool >= 0.35.0

* Mon Nov 24 2008 Ian Weller <ianweller@gmail.com> 0.1.3-3
- Patch desktop file to not reference a certain patented game

* Mon Nov 24 2008 Ian Weller <ianweller@gmail.com> 0.1.3-2
- Remove commented-out patches
- Remove vendor from desktop-file-install
- Add icon for desktop menu item

* Sat Oct 25 2008 Ian Weller <ianweller@gmail.com> 0.1.3-1
- Updated upstream

* Sun Sep 21 2008 Ian Weller <ianweller@gmail.com> 0.1.1-3
- Add patch lordsawar-0.1.1-bz461454c10.patch:
    This patch fixes a crash in lordsawar when active neutral cities have produced
    a preset maximum number of army units.

* Tue Sep 16 2008 Ian Weller <ianweller@gmail.com> 0.1.1-2
- Summary and description changed

* Sun Sep 07 2008 Ian Weller <ianweller@gmail.com> 0.1.1-1
- Upstream updated

* Sat Aug 09 2008 Ian Weller <ianweller@gmail.com> 0.1.0-1
- Initial package build.
